package com.ruoyi.cron.query;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.ObjUtil;
import lombok.Data;
import org.springframework.data.mongodb.core.query.Criteria;

import java.util.List;

@Data
public class CronTaskLogQuery {

  //  设置请求日期参数格式
  @org.springframework.format.annotation.DateTimeFormat(pattern = "yyyy-MM-dd")
//  设置使用@RequestBody时日期参数格式
//  @com.fasterxml.jackson.annotation.JsonFormat(pattern = "yyyy-MM-dd")
  private java.util.Date beginDate;

  @org.springframework.format.annotation.DateTimeFormat(pattern = "yyyy-MM-dd")
  private java.util.Date endDate;

//  private List<String> ids;

  public Criteria where() {
    Criteria c = new Criteria();


    if (ObjUtil.isNotNull(beginDate) && ObjUtil.isNotNull(endDate)) {
      c = c.and("startTime").gte(beginDate).lte(DateUtil.endOfDay(endDate));
    }

//    if (CollUtil.isNotEmpty(ids)) {
//      c = c.and("taskId").in(ids);
//    }

    return c;
  }
}
